/* tjutils/config.h.  Generated from config.h.in by configure.  */
/* tjutils/config.h.in.  Generated from configure.ac by autoheader.  */

/* Third-party libraries used by all ODIN components */
#define BASELIBS "-lgsl -lgslcblas -lpthread -ldl -lm "

/* Preprocessor flags */
#define CPPFLAGS " -I/usr/include/dcmtk -I/usr/include/dcmtk/dcmdata -I/usr/include/dcmtk/ofstd -I/usr/include/vtk-6.3 -I/usr/include/nifti "

/* "Using custom heap" */
/* #undef CUSTOM_HEAP */

/* Size of Custom Heap in MB */
/* #undef CUSTOM_HEAP_SIZE */

/* Compiler */
#define CXX "g++"

/* Compiler flags */
#define CXXFLAGS "-O3 -fno-tree-vectorize  -I/usr/include/dcmtk -I/usr/include/dcmtk/dcmdata -I/usr/include/dcmtk/ofstd -I/usr/include/vtk-6.3 -I/usr/include/nifti "

/* Initial default browser */
#define DEFAULT_BROWSER "/usr/bin/sensible-browser"

/* Initial default editor */
#define DEFAULT_EDITOR "/usr/bin/sensible-editor"

/* "DICOM support" */
#define DICOMSUPPORT /**/

/* define for empty template list */
#define EMPTY_TEMPL_LIST template<>

/* "Compile EPIC drivers" */
/* #undef EPIC_PLUGIN */

/* "Graphical User Interface enabled" */
#define GUISUPPORT /**/

/* Define to 1 if you have the `acosh' function. */
#define HAVE_ACOSH 1

/* "existence of blitz/tinyvec-et.h" */
/* #undef HAVE_BLITZ_TINYVEC_ET */

/* Define to 1 if you have the <ctype.h> header file. */
#define HAVE_CTYPE_H 1

/* Define to 1 if you have the <direct.h> header file. */
/* #undef HAVE_DIRECT_H */

/* Define to 1 if you have the <dirent.h> header file. */
#define HAVE_DIRENT_H 1

/* "Using dynamic linking loader" */
#define HAVE_DL /**/

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the `erfc' function. */
#define HAVE_ERFC 1

/* Define to 1 if you have the `fopen64' function. */
#define HAVE_FOPEN64 1

/* Define to 1 if you have the `fseeko' function. */
#define HAVE_FSEEKO 1

/* Define to 1 if you have the `fseeko64' function. */
#define HAVE_FSEEKO64 1

/* Define to 1 if you have the `ftello' function. */
#define HAVE_FTELLO 1

/* Define to 1 if you have the `ftello64' function. */
#define HAVE_FTELLO64 1

/* "Using gdb/xterm" */
/* #undef HAVE_GDB_XTERM */

/* Define to 1 if you have the `gettimeofday' function. */
#define HAVE_GETTIMEOFDAY 1

/* Define to 1 if you have the `gsl_multifit_fdfsolver_jac' function. */
#define HAVE_GSL_MULTIFIT_FDFSOLVER_JAC 1

/* "existence of newer gsl_multimin_fminimizer_nmsimplex2 algorithm" */
#define HAVE_GSL_MULTIMIN_FMINIMIZER_NMSIMPLEX2 /**/

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <io.h> header file. */
/* #undef HAVE_IO_H */

/* Define to 1 if you have the `j1' function. */
#define HAVE_J1 1

/* "Using LAPACK" */
#define HAVE_LAPACK /**/

/* "GSL support" */
#define HAVE_LIBGSL /**/

/* "libz support" */
#define HAVE_LIBZ /**/

/* Define to 1 if you have the <locale.h> header file. */
#define HAVE_LOCALE_H 1

/* compiler understands long long */
#define HAVE_LONG_LONG 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the `mmap64' function. */
#define HAVE_MMAP64 1

/* Define to 1 if you have the `nanosleep' function. */
#define HAVE_NANOSLEEP 1

/* Define to 1 if you have the `open64' function. */
#define HAVE_OPEN64 1

/* "Using POSIX threads" */
#define HAVE_PTHREAD /**/

/* Define to 1 if you have the <qwt_global.h> header file. */
#define HAVE_QWT_GLOBAL_H 1

/* Define to 1 if you have the `read' function. */
#define HAVE_READ 1

/* Define to 1 if you have the <setjmp.h> header file. */
#define HAVE_SETJMP_H 1

/* Define to 1 if you have the <signal.h> header file. */
#define HAVE_SIGNAL_H 1

/* Define to 1 if you have the `snprintf' function. */
#define HAVE_SNPRINTF 1

/* Define to 1 if you have the `srand' function. */
#define HAVE_SRAND 1

/* Define to 1 if you have the `stat' function. */
#define HAVE_STAT 1

/* Define to 1 if you have the `stat64' function. */
#define HAVE_STAT64 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strftime' function. */
#define HAVE_STRFTIME 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strptime' function. */
#define HAVE_STRPTIME 1

/* Define to 1 if you have the `sysconf' function. */
#define HAVE_SYSCONF 1

/* Define to 1 if you have the <sys/mman.h> header file. */
#define HAVE_SYS_MMAN_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/time.h> header file. */
#define HAVE_SYS_TIME_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <sys/wait.h> header file. */
#define HAVE_SYS_WAIT_H 1

/* "Thread-safe LAPACK" */
/* #undef HAVE_THREADSAFE_LAPACK */

/* Define to 1 if you have the <time.h> header file. */
#define HAVE_TIME_H 1

/* Define to 1 if you have the <typeinfo> header file. */
#define HAVE_TYPEINFO 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the <vtkArrowSource.h> header file. */
#define HAVE_VTKARROWSOURCE_H 1

/* Define to 1 if you have the <vtkStructuredPoints.h> header file. */
#define HAVE_VTKSTRUCTUREDPOINTS_H 1

/* Define to 1 if you have the <windows.h> header file. */
/* #undef HAVE_WINDOWS_H */

/* "Compile IDEA drivers" */
/* #undef IDEA_PLUGIN */

/* Installation prefix */
#define INSTALL_PREFIX "/usr"

/* "ISMRMRD support" */
/* #undef ISMRMRDSUPPORT */

/* Linker */
#define LD "/usr/bin/ld"

/* Linker flags */
#define LDFLAGS " "

/* libdir of configure */
#define LIBDIR_CONFIGURE "/usr/lib/odin"

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#define LT_OBJDIR ".libs/"

/* "MacOS support" */
/* #undef MACOS */

/* "NIFTI support" */
#define NIFTISUPPORT /**/

/* "Not using command line" */
/* #undef NO_CMDLINE */

/* "No file handling" */
/* #undef NO_FILEHANDLING */

/* "No process handling" */
/* #undef NO_PROCESSHANDLING */

/* "Multithreading disabled" */
/* #undef NO_THREADS */

/* "Unit test disabled" */
/* #undef NO_UNIT_TEST */

/* "IDEA support" */
/* #undef ODIN4IDEA */

/* "Debug compilation" */
/* #undef ODIN_DEBUG */

/* Name of package */
#define PACKAGE "odin"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "odin"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "odin 2.0.3"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "odin"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "2.0.3"

/* "Compile Paravision drivers" */
/* #undef PARAVISION_PLUGIN */

/* PIC Flags */
#define PIC_FLAGS "-fPIC -DPIC"

/* Plugin-Libraries */
#define PLUGIN_LIBS " odinseq_standalone"

/* "PNG support" */
#define PNGSUPPORT /**/

/* "self-friend class possible/required" */
#define SELF_FRIEND_CLASS /**/

/* The number of bytes in type char */
#define SIZEOF_CHAR 1

/* The number of bytes in type int */
#define SIZEOF_INT 4

/* The number of bytes in type long */
#define SIZEOF_LONG 8

/* The number of bytes in type short */
#define SIZEOF_SHORT 2

/* "Compile Standalone drivers" */
#define STANDALONE_PLUGIN /**/

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* "Using STL replacement" */
/* #undef STL_REPLACEMENT */

/* "Using stream replacement" */
/* #undef STREAM_REPLACEMENT */

/* "Using string replacement" */
/* #undef STRING_REPLACEMENT */

/* "Using the GNU compiler collection" */
#define USING_GCC /**/

/* "Using Win32-API" */
/* #undef USING_WIN32 */

/* Version number of package */
#define VERSION "2.0.3"

/* "Vista support" */
/* #undef VISTASUPPORT */

/* "VTK support" */
#define VTKSUPPORT /**/
